#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA1,0x42,0x2F,0xA1,0x37,0x3A,0x65,0x00,0xF5,0xB9,0xC6,0x5F,
		0x30,0xB7,0x64,0x7E,0x56,0x56,0xA0,0xF5,0x25,0x63,0xFF,0xB9,
		0x50,0x5D,0xF4,0x51,0xF4,0xAE,0x69,0xAB,0xB5,0x0D,0x59,0x1C,
		0x92,0x2C,0x0E,0x77,0x6B,0x9F,0xF5,0xC8,0xCF,0xC9,0x9C,0x15,
		0x20,0xC5,0xD5,0x32,0x55,0xD1,0x7C,0x2F,0xE8,0x8C,0xE6,0x25,
		0x4F,0x58,0xE1,0xD3,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
